Subject: Re: bug#21410: [TEST-FAIL] 2 tests failed when running `make check' on Debian

From: "Thompson, David" <[email-masked]>
Date: Fri, 4 Sep 2015 10:12:43 -0400

Hello Alex,

On Fri, Sep 4, 2015 at 2:44 AM, Alex Vong <[email-masked]> wrote:
> Hi everyone,
>
> I tried to compile Guix on Debian Sid,
> the compilation succeeded,
> but the 2 of the tests in the Testsuit failed.
>
> The following is what commands I have run,
> all commands are run as non-root:
>
> $ git clone git://git.savannah.gnu.org/guix.git
> $ cd guix
> $ ./bootstrap
> $ ./configure
> $ make -j4
> $ make -j4 check
>
> The Testsuite summary (test-suite.log) is inlined below:
>
> ======================================
>    GNU Guix 0.8.3: ./test-suite.log
> ======================================
>
> # TOTAL: 47
> # PASS:  45
> # SKIP:  0
> # XFAIL: 0
> # FAIL:  2
> # XPASS: 0
> # ERROR: 0
>
> .. contents:: :depth: 2
>
> FAIL: tests/syscalls
> ====================
>
> ;;; note: source file ./srfi/srfi-64.scm
> ;;;       newer than compiled /usr/lib/x86_64-linux-gnu/guile/2.0/ccache/srfi/srfi-64.go
> ERROR: In procedure primitive-load:
> ERROR: In procedure scm_i_lreadparen: tests/syscalls.scm:128:14: end of file
> %%%% Starting test syscalls  (Writing full log to "syscalls.log")
> tests/syscalls.scm:85: FAIL clone
> tests/syscalls.scm:98: FAIL setns
> ;;; note: source file ./srfi/srfi-64.scm
> ;;;       newer than compiled /usr/lib/x86_64-linux-gnu/guile/2.0/ccache/srfi/srfi-64.go
> %%%% Starting test syscalls  (Writing full log to "syscalls.log")
> tests/syscalls.scm:85: FAIL clone
> tests/syscalls.scm:98: FAIL setns
> tests/syscalls.scm:127: FAIL pivot-root
> # of expected passes      15
> # of unexpected failures  3
>
> FAIL: tests/containers
> ======================
>
> %%%% Starting test containers  (Writing full log to "containers.log")
> tests/containers.scm:37: FAIL call-with-container, user namespace
> tests/containers.scm:45: FAIL call-with-container, uts namespace
> tests/containers.scm:55: FAIL call-with-container, pid namespace
> tests/containers.scm:70: FAIL call-with-container, mnt namespace
> tests/containers.scm:77: FAIL call-with-container, all namespaces
> tests/containers.scm:83: FAIL container-excursion
> # of unexpected failures  6
> ;;; note: source file ./srfi/srfi-64.scm
> ;;;       newer than compiled /usr/lib/x86_64-linux-gnu/guile/2.0/ccache/srfi/srfi-64.go
> FAIL tests/containers.scm (exit status: 1)

Could you attach the containers.log and syscalls.log files so I could
see some more detail?

Also,  what version of Linux and glibc are you using?

Thanks!

- Dave